{% extends 'base.html' %}

{% block title %}{{project.name}}{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>{{project.name}}</h1>
        <p> {{project.description}}
        <h2>Tasks</h2>
        <p><a = href="{% url 'create_task' %}">Create a new task</a></p>
        {% for tasks in project.tasks.all %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                    </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{ tasks.name }}</td>
                    <td>{{ tasks.assignee }}</td>
                    <td>{{ tasks.start_date }}</td>
                    <td>{{ tasks.due_date }}</td>
                    <td>{{ tasks.is_completed|yesno }}</td>
                </tr>
            </tbody>
        </table>
        {% empty %}
        <p>This project has no tasks.</p>
        {% endfor %}
    </div>
</main>


{% endblock content %}
